/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import "~@ionic/angular/css/display.css";

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";

/* Backspace rows */
@import "./theme/back-space.scss";

/* Reset styles */
html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption, footer, header, hgroup, menu, nav, output, ruby, section, summary, time, mark, audio, video {margin: 0; padding: 0; border: 0; font-size: 100%; font: inherit; vertical-align: baseline;}
h1, h2, h3, h4, h5, h6{font-weight: 400;}
article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section {display: block;}
blockquote, q {quotes: none;}
blockquote:before, blockquote:after, q:before, q:after {content: ''; content: none;}
body *{-webkit-text-size-adjust:none; outline: none;}
input:-internal-autofill-selected,
select:-internal-autofill-selected,
textarea:-internal-autofill-selected {
  -webkit-background-clip: text;
   background-clip: text;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {-webkit-appearance: none;margin: 0;}
input::-ms-reveal,input::-ms-clear {display: none;}
input[type=number] {-moz-appearance: textfield;}
p {margin: 0px;}
textarea, input {background-color: transparent;}

/* Reset ionic elements */
ion-button {--box-shadow:none;}
ion-footer ion-toolbar {--min-height: 92px;--padding-start:16px;--padding-end:16px;}
ion-slides {height: 100%;}
ion-radio {--color-checked: var(--ion-main-color); }
ion-item {--border-color: var(--ion-disable-btn-color); }
ion-datetime {--padding-top: 6px;}

/* Help classes*/
.wrapper {position: relative; z-index: 1;}
.hidden {display: none;}
.display-flex {display: flex;}
.toggle-item + * {display: none;}
.toggle-item.active + * {display: block;}
.separate-line {box-shadow: inset 0 1px 0 0 #DDD9DA; height: 1px; display: block;}
.grid-no-padding {--ion-grid-column-padding: 0px; padding: 0px;}
.alert-error-class .alert-title {color: var(--ion-color-danger);}
.full-height-modal {display: flex; flex-direction: column; height: 100%;}

/* Core typography */
// :root {
//     --ion-font-family: 'Urbanist', sans-serif;
//     --ion-text-color: var(--ion-color-dark);
// }
// body, html {font-family: var(--ion-font-family);}
.caption, .font-medium {font-weight: 500; position: relative;}
.h1 {font-size: 20px; line-height: 24px;}
.h2 {font-size: 18px; line-height: 22px;}
.h3 {font-size: 16px; line-height: 20px;}
.h4 {font-size: 14px; line-height: 18px;}
.h5 {font-size: 12px; line-height: 16px;}
.app-text {font-size: 14px; line-height: 19px; color: var(--ion-color-dark-shade);}
.app-text.sm {font-size: 16px; line-height: 20px;}
.app-text.xs {font-size: 12px; line-height: 14px;}

/* Inputs style */
.item-label:not(.input-white-color) ion-label.label-floating {color: var(--ion-input-color);}
.app-input-error span {display: block; padding: 5px 0px; color: var(--ion-color-danger); font-size: 12px; line-height: 18px; text-align: left;}
.ion-invalid.ion-dirty {--border-color:var(--ion-color-danger); }
.ion-invalid.ion-dirty ion-label {--color:var(--ion-color-danger);}
.validation-icons {z-index: 3; position: absolute; right: 0px; bottom: 0px;}
.validation-icons ion-icon {font-size: 26px;}
.validation-icons .icon-invalid, .validation-icons .icon-valid, .validation-icons ion-spinner, .icon-clear {display: none;}
.ion-invalid.ion-dirty.ion-touched .validation-icons .icon-invalid, .ion-valid.ion-touched .validation-icons .icon-valid, .ion-pending:not(.ion-valid):not(.ion-invalid) .validation-icons ion-spinner, .can-clear .icon-clear {display: inline-block;}
.password-eye {position: absolute; top: 50%; right: 0px;}
.active-value {--ion-color-base: var(--ion-color-medium, #f4f5f8) !important; --ion-color-contrast: #fff !important;}
app-shopping-item app-gift-card-values {display: flex; align-items: center;}
app-shopping-item app-gift-card-values .value-inputed {max-width: 80px;}
app-shopping-item app-gift-card-values .value-allowed {padding-left: 10px;}
.share-icons ion-icon {font-size: 28px;}
